#!/bin/sh
# $Id$
+mount | grep squashfs >&- || {
+ echo "You do not have a squashfs partition; aborting"
+ echo "(firstboot cannot be run on jffs2 based firmwares)"
+ return
+}
[ -f "/tmp/.firstboot" ] && {
echo "firstboot is already running"
echo -n "setting up symlinks... "
for file in $(cd /rom; find * -type f; find * -type l;)
do {
- ln -sf /rom/$file $file
+ [ "${file%/*}" = "usr/lib/ipkg/info" ] && {
+ cp -f /rom/$file $file
+ } || {
+ ln -sf /rom/$file $file
+ }
} done
echo "done"